Page MenuHomePhabricator

[flang] Fix multi-config generator builds
ClosedPublic

Authored by andwar on Aug 1 2020, 1:05 PM.

Details

Summary

Based on https://reviews.llvm.org/D84022 with additional changes to maintain
out-of-tree builds.

Diff Detail

Event Timeline

andwar created this revision.Aug 1 2020, 1:05 PM
Herald added a project: Restricted Project. · View Herald Transcript
andwar requested review of this revision.Aug 1 2020, 1:05 PM
tskeith accepted this revision.Aug 1 2020, 5:31 PM
tskeith added a subscriber: tskeith.

Works for me -- thanks.

This revision is now accepted and ready to land.Aug 1 2020, 5:31 PM
DavidTruby accepted this revision.Aug 3 2020, 6:04 AM

LGTM thanks!

andwar updated this revision to Diff 282864.Aug 4 2020, 4:37 AM
  • Fixed the LIT config - originally config.flang_standalone_build was a string

(either "ON" or "OFF"), but the canonical LLVM way is to use
llvm_canonicalize_cmake_booleans so that the corresponding LIT variable becomes
numeric 0 or 1

  • Added David's original commit message and attributed the patch to him (I'm not

sure whether that will be visible in Phab)

Tested with -G Ninja and -G "Ninja Multi-Config" for in-tree, and `-G
Ninja` for out-of-tree. ninja check-all works fine.

awarzynski closed this revision.Aug 12 2020, 7:08 AM
awarzynski added a subscriber: awarzynski.

This has been merged-in, but Phabricator hasn't registered that. I'm closing this manually instead.